#ifndef VECTOR_H
#define VECTOR_H

typedef struct vector
{
    float x;
    float y;
} vector;

float Vdist(vector *v1, vector *v2);
void Vadd(vector *v1, vector *v2, vector *v);
void Vsub(vector *v1, vector *v2, vector *v);
void Vscale(vector *v1, vector *v, float z);
void Vrotate (vector *v1, vector *v, float r);
void Vneg(vector *v1, vector *v);
void Vset (vector *v1, vector *v2);
void Vnormalize (vector *v);

#endif
